## python-pysaml2 4.5.0+dfsg1

=== debian/changelog ===
python-pysaml2 (4.5.0+dfsg1-0ubuntu2.19.10.1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 21 Jan 2020 17:31:11 +0000

python-pysaml2 (4.5.0+dfsg1-0ubuntu2.19.10.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Signature in SAML doc not checked properly
    - debian/patches/CVE-2020-5390.patch: fix XML signature wrapping
      (XSW) in src/saml2/sigver.py, tests/saml2_response_xsw.xml,
      tests/test_xsw.py.
    - CVE-2020-5390
  * Fixing test_41_response
    - debian/patches/Fix-test-41-that-now-depend-on-acual-datetime.patch:
      Fix test that depended on actual datetime in tests/test_41_response.py.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 21 Jan 2020 09:39:08 -0300

python-pysaml2 (4.5.0+dfsg1-0ubuntu2) cosmic; urgency=medium

  * d/p/skip-online-tests.patch: test_load_remote_encoding skip,
    online test.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 13:50:48 +0100

python-pysaml2 (4.5.0+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ James Page ]
  * New upstream release for OpenStack Rocky:
    - d/p/CVE-*.patch: Drop, included in release.
    - d/p/disable-repoze.who-tests.patch,fix-test-41-response.patch,
      fix-tests.patch: Drop, no longer needed.
    - d/p/*: Refresh.
    - d/control: Add BD on python{3}-future.
  * d/copyright: Move global file wildcard to first paragraph.
  * d/control: Bumped Standards-Version to 4.2.0.
  * d/watch: Add dversionmangle for dfsg repack.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 12:11:40 +0100

=== debian/control ===
Source: python-pysaml2
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-alabaster,
 python-crypto,
 python-dateutil,
 python-decorator,
 python-defusedxml,
 python-future,
 python-mako,
 python-memcache,
 python-mock,
 python-openssl,
 python-paste,
 python-pyasn1,
 python-pymongo,
 python-pymongo (>= 3.0.1),
 python-pytest,
 python-requests,
 python-responses,
 python-tz,
 python-zope.interface,
 python3-crypto,
 python3-dateutil,
 python3-decorator,
 python3-defusedxml,
 python3-future,
 python3-mako,
 python3-memcache,
 python3-mock,
 python3-openssl,
 python3-paste,
 python3-pyasn1,
 python3-pymongo (>= 3.0.1),
 python3-pytest,
 python3-requests,
 python3-responses,
 python3-tz,
 python3-zope.interface,
 xmlsec1,
Standards-Version: 4.2.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
Homepage: https://github.com/rohe/pysaml2

Package: python-pysaml2
Architecture: all
Depends:
 python-mako,
 python-memcache,
 python-pyasn1,
 xmlsec1,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-repoze.who,
Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the Python 2.x module.

Package: python-pysaml2-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SAML Version 2 to be used in a WSGI environment - doc
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the documentation.

Package: python3-pysaml2
Architecture: all
Depends:
 python3-mako,
 python3-memcache,
 python3-pyasn1,
 xmlsec1,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-repoze.who,
Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$//" \
https://pypi.debian.net/pysaml2/pysaml2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pysaml2 4.5.0.1

=== debian/changelog ===
python-pysaml2 (4.5.0.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 24b5d2dd046759ff308d22057ffb582ef74645cc']

 -- shuttle <shuttle@deepin.com>  Thu, 30 Jul 2020 14:39:11 +0000

## python-pysaml2 4.9.0

=== debian/changelog ===
python-pysaml2 (4.9.0-0ubuntu3.1~cloud0) bionic-ussuri; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 08 Sep 2021 14:40:03 +0000

python-pysaml2 (4.9.0-0ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: improper verification of cryptographic signature
    - debian/patches/CVE-2021-21239.patch: restrict the key data that
      xmlsec1 accepts to only x509 certs in src/saml2/sigver.py,
      tests/test_xmlsec1_key_data.py,
      tests/xmlsec1-keydata/signed-assertion-random-embedded-cert.xml,
      tests/xmlsec1-keydata/signed-assertion-with-hmac.xml,
      tests/xmlsec1-keydata/signed-response-with-hmac.xml.
    - CVE-2021-21239

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Jun 2021 11:06:36 -0400

python-pysaml2 (4.9.0-0ubuntu3) focal; urgency=medium

  * d/p/update-test-metadata-expiration.patch: Cherry pick fix to update
    test metadata expiration to 2999 resolving FTBFS (LP: #1870077).

 -- James Page <james.page@ubuntu.com>  Fri, 03 Apr 2020 11:26:41 +0100

python-pysaml2 (4.9.0-0ubuntu2) focal; urgency=medium

  * SECURITY UPDATE: Signature in SAML doc not checked properly
    - debian/patches/CVE-2020-5390.patch: fix XML signature wrapping
      (XSW) in src/saml2/sigver.py, tests/saml2_response_xsw.xml,
      tests/test_xsw.py.
    - CVE-2020-5390

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 21 Jan 2020 15:07:23 -0300

python-pysaml2 (4.9.0-0ubuntu1) focal; urgency=medium

  * d/control, d/rules, d/*.{postinst,prerm,postrm}: Drop py2 support
    as there are no more reverse-depends.
  * d/copyright: Drop Files-Excluded. The latest release tarballs no longer
    include these files.
  * d/watch: Get tarball from github as pypi version is missing files.
  * New upstream release for OpenStack Ussuri.
  * d/p/fix-test-pathing.patch: Dropped. Test no longer exists.
  * d/p/skip-online-tests.patch: Rebased.
  * d/rules: Switch to pybuild and 'python3 -m sphinx'.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Dec 2019 16:59:07 -0500

=== debian/control ===
--- 
+++ 
@@ -8,31 +8,10 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python-all,
- python-setuptools,
  python3-sphinx,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- python-alabaster,
- python-crypto,
- python-dateutil,
- python-decorator,
- python-defusedxml,
- python-future,
- python-mako,
- python-memcache,
- python-mock,
- python-openssl,
- python-paste,
- python-pyasn1,
- python-pymongo,
- python-pymongo (>= 3.0.1),
- python-pytest,
- python-requests,
- python-responses,
- python-tz,
- python-zope.interface,
  python3-crypto,
  python3-dateutil,
  python3-decorator,
@@ -55,33 +34,6 @@
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Homepage: https://github.com/rohe/pysaml2
-
-Package: python-pysaml2
-Architecture: all
-Depends:
- python-mako,
- python-memcache,
- python-pyasn1,
- xmlsec1,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-repoze.who,
-Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
- This package provides a Python implementation of SAML Version 2 to be used in
- a WSGI environment.
- .
- From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
- of the SAML standard for exchanging authentication and authorization data
- between security domains. SAML 2.0 is an XML-based protocol that uses security
- tokens containing assertions to pass information about a principal (usually an
- end user) between a SAML authority, that is, an identity provider, and a SAML
- consumer, that is, a service provider. SAML 2.0 enables web-based
- authentication and authorization scenarios including cross-domain single
- sign-on (SSO), which helps reduce the administrative overhead of distributing
- multiple authentication tokens to the user.
- .
- This package contains the Python 2.x module.
 
 Package: python-pysaml2-doc
 Section: doc

## python-pysaml2 6.1.0

=== debian/changelog ===
python-pysaml2 (6.1.0-0ubuntu1.21.04.1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 08 Sep 2021 12:19:00 +0000

python-pysaml2 (6.1.0-0ubuntu1.21.04.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: improper verification of cryptographic signature
    - debian/patches/CVE-2021-21239.patch: restrict the key data that
      xmlsec1 accepts to only x509 certs in src/saml2/sigver.py,
      tests/test_xmlsec1_key_data.py,
      tests/xmlsec1-keydata/signed-assertion-random-embedded-cert.xml,
      tests/xmlsec1-keydata/signed-assertion-with-hmac.xml,
      tests/xmlsec1-keydata/signed-response-with-hmac.xml.
    - CVE-2021-21239
  * debian/patches/python39compat.patch: fix FTBFS with Python 3.9.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Jun 2021 10:40:44 -0400

python-pysaml2 (6.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/p/update-test-metadata-expiration.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 15:02:25 -0400

python-pysaml2 (5.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-online-tests.patch: Dropped. No longer needed.
  * d/p/CVE-2020-5390.patch: Droped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:04:51 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
  python3-sphinx,
  python3-all,
@@ -30,7 +30,7 @@
  python3-tz,
  python3-zope.interface,
  xmlsec1,
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Homepage: https://github.com/rohe/pysaml2

## python-pysaml2 6.5.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SAML2test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SAML2test.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SAML2test"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SAML2test"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== example/requirements.txt ===
mako
cherrypy>14.0.2

=== debian/changelog ===
python-pysaml2 (6.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix CVE-2021-21238 and CVE-2021-21239 (Closes: #980772, #980773).
  * Update patches to match new upstream release.
  * Add python3-importlib-resources and python3-xmlschema as (build-)depends.
  * Reworked python3.9-use-encodebytes-not-encodestring.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2021 12:41:36 +0100

python-pysaml2 (6.1.0-3) unstable; urgency=medium

  * Removed python3-crypto from build-depends (Closes: #971290).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 12:51:21 +0100

python-pysaml2 (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.
  * Add a debian/salsa-ci.yml.
  * Add python3-cffi{,backend} as (build-)depends.
  * Add a debian/salsa-ci.yml.
  * Add python3.9-use-encodebytes-not-encodestring.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 13:04:12 +0200

python-pysaml2 (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove tests that don't apply, rebase/refresh the others.
  * Install the package in debian/tmp before running tests.
  * Defines: http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9
    HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 RES_OPTIONS=attempts:0
    before running tests to ensure no external network is required.
  * Use -Wignore option of pytest to ignore deprecation warnings.
  * Add remove-not-discoverable-test.patch.
  * -k "not test_signed_metadata_proper_str_bytes_handling and not test_enc1"
    to avoid broken tests (ie: requiring network access).
  * Fixed installing files for this new release.
  * Correctly build the doc from "docs" folder (previously "doc"), and build
    the sphinx docs using the installed saml2 module.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 14:05:27 +0200

python-pysaml2 (4.5.0-8) unstable; urgency=medium

  * Add patch to remove broken unit tests (Closes: #952249):
    - remove-tests-which-wont-work-after-2020-02-18.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 11:35:12 +0100

python-pysaml2 (4.5.0-7) unstable; urgency=high

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Thomas Goirand ]
  * CVE-2020-5390: does not check that the signature in a SAML document is
    enveloped and thus signature wrapping is effective, i.e., it is affected by
    XML Signature Wrapping (XSW). Applied upstream patch: Fix XML Signature
    Wrapping (XSW) vulnerabilities (Closes: #949322).
  * Remove a test file that will fail past 2020-11-28 (Closes: #949227).

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Feb 2020 09:12:46 +0100

python-pysaml2 (4.5.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938093).
  * Add remove-test-timeout.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2019 17:17:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/rohe/pysaml2.git
include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S) ; do \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
		RES_OPTIONS=attempts:0 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest tests -Wignore -k "not test_signed_metadata_proper_str_bytes_handling and not test_enc1" ; \
	done
endif

	set -e ; set -x ; for i in `ls $(CURDIR)/debian/tmp/usr/bin/*.py` ; do \
		DEST_FILE=`echo $$i | sed s/\\.py\\$$//` ; \
		mv $$i $$DEST_FILE ; \
	done
	sed -i 's| #!/usr/bin/env python|#!/usr/bin/env python3|' $(CURDIR)/debian/tmp/usr/bin/mdexport

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3 -m sphinx -D today="$(BUILD_DATE)" -b html docs debian/python-pysaml2-doc/usr/share/doc/python-pysaml2-doc/html


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:


override_dh_sphinxdoc:
	dh_sphinxdoc

## python-pysaml2 7.0.1

=== debian/changelog ===
python-pysaml2 (7.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:21:09 +0200

python-pysaml2 (7.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3.9-use-encodebytes-not-encodestring.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:18:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,46 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 10),
  dh-python,
- python3-sphinx,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
- python3-crypto,
+ python3-alabaster,
+ python3-betamax,
+ python3-cffi,
+ python3-cffi-backend,
+ python3-cryptography,
  python3-dateutil,
  python3-decorator,
  python3-defusedxml,
  python3-future,
+ python3-importlib-resources,
  python3-mako,
  python3-memcache,
  python3-mock,
  python3-openssl,
  python3-paste,
  python3-pyasn1,
- python3-pymongo (>= 3.0.1),
+ python3-pymongo,
  python3-pytest,
+ python3-repoze.who,
  python3-requests,
  python3-responses,
+ python3-six,
  python3-tz,
+ python3-xmlschema,
  python3-zope.interface,
  xmlsec1,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pysaml2
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pysaml2.git
 Homepage: https://github.com/rohe/pysaml2
 
 Package: python-pysaml2-doc
@@ -60,14 +68,23 @@
 Package: python3-pysaml2
 Architecture: all
 Depends:
+ python3-cffi,
+ python3-cffi-backend,
+ python3-cryptography,
+ python3-dateutil,
+ python3-defusedxml,
+ python3-future,
+ python3-importlib-resources,
  python3-mako,
  python3-memcache,
  python3-pyasn1,
+ python3-repoze.who,
+ python3-responses,
+ python3-six,
+ python3-xmlschema,
  xmlsec1,
  ${misc:Depends},
  ${python3:Depends},
-Suggests:
- python3-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.

## python-pysaml2 7.1.0

=== debian/changelog ===
python-pysaml2 (7.1.0-0ubuntu2) jammy; urgency=medium

  * d/control: Drop old python3-crypto BD in favor of python3-cryptography.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Mar 2022 16:40:43 -0400

python-pysaml2 (7.1.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/p/use-importlib.resources-in-python-3.7.patch: Dropped. Fixed
    upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:05:07 -0500

python-pysaml2 (7.0.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/patches/*: No longer needed. Fixed in upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-importlib.resources-in-python-3.7.patch: Use importlib.resources
    from the standard library instead of having to depend on
    importlib_resources from universe.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Dec 2021 16:28:05 -0500

python-pysaml2 (6.1.0-0ubuntu2) impish; urgency=medium

  * SECURITY UPDATE: improper verification of cryptographic signature
    - debian/patches/CVE-2021-21239.patch: restrict the key data that
      xmlsec1 accepts to only x509 certs in src/saml2/sigver.py,
      tests/test_xmlsec1_key_data.py,
      tests/xmlsec1-keydata/signed-assertion-random-embedded-cert.xml,
      tests/xmlsec1-keydata/signed-assertion-with-hmac.xml,
      tests/xmlsec1-keydata/signed-response-with-hmac.xml.
    - CVE-2021-21239
  * debian/patches/python39compat.patch: fix FTBFS with Python 3.9.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Sep 2021 09:24:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,17 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ python3-sphinx,
  python3-all,
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
- python3-alabaster,
- python3-betamax,
- python3-cffi,
- python3-cffi-backend,
  python3-cryptography,
  python3-dateutil,
  python3-decorator,
@@ -28,19 +24,17 @@
  python3-openssl,
  python3-paste,
  python3-pyasn1,
- python3-pymongo,
+ python3-pymongo (>= 3.0.1),
  python3-pytest,
- python3-repoze.who,
  python3-requests,
  python3-responses,
- python3-six,
  python3-tz,
  python3-xmlschema,
  python3-zope.interface,
  xmlsec1,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pysaml2
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pysaml2.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Homepage: https://github.com/rohe/pysaml2
 
 Package: python-pysaml2-doc
@@ -68,23 +62,16 @@
 Package: python3-pysaml2
 Architecture: all
 Depends:
- python3-cffi,
- python3-cffi-backend,
- python3-cryptography,
- python3-dateutil,
- python3-defusedxml,
- python3-future,
  python3-importlib-resources,
  python3-mako,
  python3-memcache,
  python3-pyasn1,
- python3-repoze.who,
- python3-responses,
- python3-six,
  python3-xmlschema,
  xmlsec1,
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=saml2

PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/rohe/pysaml2.git
-include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pysaml2; \
	done
	for i in make_metadata mdexport parse_xsd2 merge_metadata ; do \
		mv $(CURDIR)/debian/python3-pysaml2/usr/bin/$$i.py $(CURDIR)/debian/python3-pysaml2/usr/bin/python3-$$i ; \
	done
	rm -rf $(CURDIR)/debian/python*-pysaml2/usr/lib/python*/dist-packages/*.pth

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src:. pytest-3 tests
endif

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=./src/ python3 -m sphinx -D today="$(BUILD_DATE)" -b html docs debian/python-pysaml2-doc/usr/share/doc/python-pysaml2-doc/html
	dh_sphinxdoc

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/rohe/pysaml2/tags .*/v?(\d[\d\.]+)\.tar\.gz

## python-pysaml2 7.5.0

=== example/requirements.txt ===
mako
cherrypy>14.0.2
setuptools>=65.5.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
python-pysaml2 (7.5.0-4) unstable; urgency=medium

  * Blacklist more unit tests (Closes: #1090286):
    - test_encrypted_response_6 
    - test_validate_cert_chains
    - test_validate_with_root_cert

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2024 08:32:40 +0100

python-pysaml2 (7.5.0-3) unstable; urgency=medium

  * Add python3-legacy-cgi as (build-)depends (Closes: #1084670).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Nov 2024 09:32:59 +0100

python-pysaml2 (7.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:32:16 +0200

python-pysaml2 (7.5.0-1) experimental; urgency=medium

  * Update upstream URLs.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 10:20:21 +0200

python-pysaml2 (7.4.2-5) unstable; urgency=medium

  * Removed extraneous python3-mock build-dependency (Closes: #1071957).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 13:07:11 +0200

python-pysaml2 (7.4.2-4) unstable; urgency=medium

  * Add patch to make the package reproducible. Thanks to Chris Lamb for the
    patch (Closes: #1067485).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Apr 2024 14:36:55 +0200

python-pysaml2 (7.4.2-3) unstable; urgency=medium

  * Correctly use export when setting PYBUILD_NAME (Closes: #1066798).
  * Copy scripts from .pybuild/cpython3_3.11_pysaml2, not just
    .pybuild/cpython3_3.11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 11:24:05 +0100

python-pysaml2 (7.4.2-2) unstable; urgency=medium

  * Fix to not use hardcoded python3 version.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 11:52:38 +0100

python-pysaml2 (7.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends (Closes: #1052512).
  * Rebased remove-test-timeout.patch.
  * Rebased remove-broken-test.patch.
  * Rebased remove-not-discoverable-test.patch.
  * Drop remove-the-use-of-future.patch not needed anymore.
  * Switch to pybuild and pyproject.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 10:04:55 +0100

python-pysaml2 (7.2.1-3) unstable; urgency=medium

  * Add remove-the-use-of-future.patch and remove (build-)depends on
    python3-future (Closes: #1059107).

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Dec 2023 12:31:43 +0100

python-pysaml2 (7.2.1-2) unstable; urgency=medium

  * Cleans better (Closes: #1046433).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 09:41:29 +0200

python-pysaml2 (7.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add missing runtime depends on python3-setuptools.
  * Rebased remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Aug 2023 10:40:53 +0200

python-pysaml2 (7.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 10:12:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,47 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
+ openstack-pkg-tools,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-poetry-core,
+ python3-setuptools,
  python3-sphinx,
- python3-all,
- python3-setuptools,
 Build-Depends-Indep:
+ python3-alabaster,
+ python3-betamax,
+ python3-cffi,
+ python3-cffi-backend,
  python3-cryptography,
  python3-dateutil,
  python3-decorator,
  python3-defusedxml,
- python3-future,
  python3-importlib-resources,
+ python3-legacy-cgi,
  python3-mako,
  python3-memcache,
- python3-mock,
  python3-openssl,
  python3-paste,
  python3-pyasn1,
- python3-pymongo (>= 3.0.1),
+ python3-pymongo,
  python3-pytest,
+ python3-repoze.who,
  python3-requests,
  python3-responses,
  python3-tz,
  python3-xmlschema,
  python3-zope.interface,
  xmlsec1,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
-Homepage: https://github.com/rohe/pysaml2
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pysaml2
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pysaml2.git
+Homepage: https://github.com/IdentityPython/pysaml2
 
 Package: python-pysaml2-doc
 Section: doc
@@ -62,16 +68,23 @@
 Package: python3-pysaml2
 Architecture: all
 Depends:
+ python3-cffi,
+ python3-cffi-backend,
+ python3-cryptography,
+ python3-dateutil,
+ python3-defusedxml,
+ python3-legacy-cgi,
  python3-importlib-resources,
  python3-mako,
  python3-memcache,
  python3-pyasn1,
+ python3-repoze.who,
+ python3-responses,
+ python3-setuptools,
  python3-xmlschema,
  xmlsec1,
  ${misc:Depends},
  ${python3:Depends},
-Suggests:
- python3-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/IdentityPython/pysaml2
include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9

export PYBUILD_NAME=pysaml2
export PYBUILD_TEST_ARGS=tests -v -Wignore -k "not test_signed_metadata_proper_str_bytes_handling and not test_enc1 and not test_encrypted_response_6 and not test_validate_cert_chains and not test_validate_with_root_cert"

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build src/*.egg-info .pytest_cache tests/subject.db.db tests/subject_data.db.db eptid.db
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	dh_auto_clean

# This file ends-up in the package, and makes the package
# unreproducible. Let's delete it.
execute_after_dh_auto_test:
	find .pybuild -type f -name eptid.db -delete

#override_dh_install:
#	dh_install
#	set -e ; set -x ; for i in `ls $(CURDIR)/debian/python3-pysaml2/usr/bin/*.py` ; do \
#		DEST_FILE=`echo $$i | sed s/\\.py\\$$//` ; \
#		mv $$i $$DEST_FILE ; \
#	done
#	sed -i 's| #!/usr/bin/env python|#!/usr/bin/env python3|' $(CURDIR)/debian/python3-pysaml2/usr/bin/mdexport

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/python3-pysaml2/usr/bin
	cp .pybuild/cpython3_`py3versions -dv 2>/dev/null`_pysaml2/scripts/* debian/python3-pysaml2/usr/bin

override_dh_sphinxdoc:
	PYTHONPATH=`pwd`/.pybuild/cpython3_`py3versions -dv 2>/dev/null`_pysaml2/build python3 -m sphinx -D today="$(BUILD_DATE)" -b html docs debian/python-pysaml2-doc/usr/share/doc/python-pysaml2-doc/html
	dh_sphinxdoc

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/v//" \
https://github.com/rohe/pysaml2/tags .*/[v]*(\d[brc\d\.]+)\.tar\.gz

## python-pysaml2 7.5.4

=== debian/changelog ===
python-pysaml2 (7.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2106472)
  * Remove unused python3-betamax build-dependency
  * Remove indirect (build-)dependencies cffi and decorator
  * Drop python3-importlib-resources dependency (only needed for Python < 3.9)
  * Drop python3-responses and python3-setuptools from the library dependencies
  * Add Testsuite: autopkgtest-pkg-pybuild
  * Remove eptid file generated during test run
  * Update debian/watch to version 5
  * Update to debhelper 13
  * Skip failing new test_namespace_processing (reported upstream)
  * Drop deprecated python3-legacy-cgi (removed in new upstream version)
  * Remove unused python3-tz (removed in new upstream version) (LP: #2101044)
  * Demote optional python3-repoze.who to Suggests

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 13 Nov 2025 15:19:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
@@ -15,15 +16,9 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-alabaster,
- python3-betamax,
- python3-cffi,
- python3-cffi-backend,
  python3-cryptography,
  python3-dateutil,
- python3-decorator,
  python3-defusedxml,
- python3-importlib-resources,
- python3-legacy-cgi,
  python3-mako,
  python3-memcache,
  python3-openssl,
@@ -34,7 +29,6 @@
  python3-repoze.who,
  python3-requests,
  python3-responses,
- python3-tz,
  python3-xmlschema,
  python3-zope.interface,
  xmlsec1,
@@ -42,6 +36,7 @@
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pysaml2
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pysaml2.git
 Homepage: https://github.com/IdentityPython/pysaml2
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-pysaml2-doc
 Section: doc
@@ -68,23 +63,18 @@
 Package: python3-pysaml2
 Architecture: all
 Depends:
- python3-cffi,
- python3-cffi-backend,
  python3-cryptography,
  python3-dateutil,
  python3-defusedxml,
- python3-legacy-cgi,
- python3-importlib-resources,
  python3-mako,
  python3-memcache,
  python3-pyasn1,
- python3-repoze.who,
- python3-responses,
- python3-setuptools,
  python3-xmlschema,
  xmlsec1,
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build src/*.egg-info .pytest_cache tests/subject.db.db tests/subject_data.db.db eptid.db
+	rm -rf build src/*.egg-info .pytest_cache tests/subject.db.db tests/subject_data.db.db eptid
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 	dh_auto_clean
@@ -24,7 +24,7 @@
 # This file ends-up in the package, and makes the package
 # unreproducible. Let's delete it.
 execute_after_dh_auto_test:
-	find .pybuild -type f -name eptid.db -delete
+	find .pybuild -type f -name eptid -delete
 
 #override_dh_install:
 #	dh_install

=== debian/watch ===
Version: 5
Template: Github
Owner: IdentityPython
Project: pysaml2
